GET /data/shots/{shot_id}/asset-instances

Retrieve all asset instances that are linked to a specific shot.

Path parameters

  • shot_id Required

    Unique identifier of the shot

Responses

  • 200 application/json

    Shot asset instances successfully retrieved

    Hide response attributes Show response attributes object
    • id string(uuid)

      Asset instance unique identifier

    • asset_id string(uuid)

      Asset identifier

    • shot_id string(uuid)

      Shot identifier

    • number string

      Instance number

    • description string

      Instance description

GET /data/shots/{shot_id}/asset-instances
curl -X GET "http://api.example.com/data/shots/e68e0ie8-gi19-8009-e514-91897426g69/asset-instances" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json"
import requests

url = "http://api.example.com/data/shots/e68e0ie8-gi19-8009-e514-91897426g69/asset-instances"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json"
}
params = {}
payload = None

response = requests.get(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
curl \
 --request GET 'http://api.example.com/data/shots/e68e0ie8-gi19-8009-e514-91897426g69/asset-instances' \
 --header "Authorization: $API_KEY"
Response examples (200)
[
  {
    "id": "h91h3lh1-jl42-1332-h847-24120759j92",
    "asset_id": "c46c8gc6-eg97-6887-c292-79675204e47",
    "shot_id": "e68e0ie8-gi19-8009-e514-91897426g69",
    "number": "001",
    "description": "Main character instance"
  }
]